function markersIndex = MarkersName2Index(varargin)
% Create a vector containing the indexes of markers


% read mocap structure recorded in .c3d and .tsv formats (e.g., file recorded using Qualisys MoCap system)
loadfile=varargin{1};
% read structure array containing names of the markers (e.g., 'LFHD';'RFHD';'OZ'; 'C7')
markersName=varargin{2};
% create vector containing the index of markers (numeric form - 1,2,3...instead of label format)
markersIndex=zeros(size(markersName,1),1);
    for k=1:size(markersName,1)
      vector=strcmp(markersName(k,:),loadfile.markerName);
      index=NaN;
      for i=1:size(vector,1)
        if(vector(i)==1)
            index=i;
            break;
        end
            
      end
      markersIndex(k)=index;
    end
end